| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# IEqSolver Class Reference

`#include <GaudiGSL/IEqSolver.h>`

Inheritance diagram for IEqSolver:

[legend]
Collaboration diagram for IEqSolver:

[legend]
List of all members.

## Detailed Description

Interface file for multidimensional root-finding (solving nonlinear system with n equations in n unknowns).

Author:
  Kirill Miklyaev kirillm@iris1.itep.ru

Date:
  2003-07-07

Definition at line 32 of file IEqSolver.h.

## Public Types
typedef Genfun::AbsFunction | GenFunc
| Function (.
typedef std::vector< const GenFunc * > | Equations
| Vector of the function "GenFunc" which we solver.
typedef Genfun::Argument | Arg
| Argument of function "GenFunc" (.
## Public Member Functions
virtual StatusCode | solver (const Equations &equations, Arg &solution) const =0
| Solving nonlinear system with N equations in N unknowns of the function "GenFunc".
## Static Public Member Functions
static const InterfaceID & | interfaceID ()
| Retrieve interface ID.

## Member Typedef Documentation

typedef Genfun::AbsFunction IEqSolver::GenFunc

Function (.

See also:
  CLHEP/GenericFunctions/AbsFunction.hh)

Definition at line 38 of file IEqSolver.h.

typedef std::vector<const GenFunc*> IEqSolver::Equations

Vector of the function "GenFunc" which we solver.

Definition at line 40 of file IEqSolver.h.

typedef Genfun::Argument IEqSolver::Arg

Argument of function "GenFunc" (.

See also:
  CLHEP/GenericFunctions/Argument.hh)

Definition at line 42 of file IEqSolver.h.

## Member Function Documentation

static const InterfaceID& IEqSolver::interfaceID | ( |  | ) | `[inline, static]`

Retrieve interface ID.

Reimplemented from IAlgTool.

Definition at line 46 of file IEqSolver.h.

References IID_IEqSolver.

    00046 { return IID_IEqSolver; }

virtual StatusCode IEqSolver::solver | ( | const Equations & | equations,
|  | Arg & | solution |
| ) |  |  | const`[pure virtual]`

Solving nonlinear system with N equations in N unknowns of the function "GenFunc".

Parameters:

  | equations | - vector of functions

See also:
  CLHEP/GenericFunctions/AbsFunction.hh

Parameters:

  | solution | - argument

See also:
  CLHEP/GenericFunctions/Argument.hh

Returns:
  StatusCode

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiGSL/v6r9/GaudiGSL/IEqSolver.h